No sound on ASUS UX534FT

Bug #1850439 reported by Tomáš Vykoukal on 2019-10-29
222
This bug affects 36 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

after instal Ubuntu in dual boot alongside Windows 10, I've realised there is no sound coming out of mine new ASUS Zenbook 15 UX534FT-AA024R in Ubuntu. In Windows there is no problem. Found this topic https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810214 which had the same problem with driver for Realtek ALC294 which is also mine sound card. But even with this fix it is not working on UX534FT. Can you please add fix also for this newer model?

Description: Ubuntu 18.04.3 LTS
Release: 18.04

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-5.0.0-32-generic 5.0.0-32.34~18.04.2
ProcVersionSignature: Ubuntu 5.0.0-32.34~18.04.2-generic 5.0.21
Uname: Linux 5.0.0-32-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Tue Oct 29 15:11:25 2019
InstallationDate: Installed on 2019-10-29 (0 days ago)
InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 (20190805)
SourcePackage: linux-signed-hwe
UpgradeStatus: No upgrade log present (probably fresh install)

Tomáš Vykoukal (tvikito) wrote :
Antonio Vanegas (hpsaturn) wrote :

I have the same issue on Ubuntu and Debian.

More info in Debian output:

```
avp:~$ inxi -Fxz
System: Kernel: 4.19.0-6-amd64 x86_64 bits: 64 compiler: gcc v: 8.3.0 Desktop: WindowMaker 0.95.8
           Distro: Debian GNU/Linux 10 (buster)
Machine: Type: Laptop System: ASUSTeK product: ZenBook UX534FT_UX534FT v: 1.0 serial: <filter>
           Mobo: ASUSTeK model: UX534FT v: 1.0 serial: <filter> UEFI: American Megatrends v: UX534FT.300 date: 07/12/2019
Audio: Device-1: Intel Cannon Point-LP High Definition Audio vendor: ASUSTeK driver: snd_hda_intel v: kernel
           bus ID: 00:1f.3
           Sound Server: ALSA v: k4.19.0-6-amd64
```

lspci

```
00:1f.3 Audio device: Intel Corporation Cannon Point-LP High Definition Audio Controller (rev 30)
```

aplay --list-devices
```
**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC294 Analog [ALC294 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 9: HDMI 3 [HDMI 3]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 10: HDMI 4 [HDMI 4]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
```

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-signed-hwe (Ubuntu):
status: New → Confirmed
Chien Chi Wang (oiu850714) wrote :

I have the same issue on Ubuntu with Windows 10 dual boot and kernel 5.4.0

More info:

System: Host: <filter> Kernel: 5.4.0-050400-generic x86_64
           bits: 64 gcc: 9.2.1
           Desktop: Gnome 3.28.4 (Gtk 3.22.30-1ubuntu4)
           Distro: Ubuntu 18.04.3 LTS
Machine: Device: laptop System: ASUSTeK product: ZenBook UX534FTC_UX534FT v: 1.0 serial: N/A
           Mobo: ASUSTeK model: UX534FTC v: 1.0 serial: N/A
           UEFI: American Megatrends v: UX534FTC.300 date: 09/05/2019
Battery BAT0: charge: 55.7 Wh 79.1% condition: 70.4/71.0 Wh (99%)
           model: ASUSTeK ASUS status: Discharging
CPU: Quad core Intel Core i5-10210U (-MT-MCP-)
           arch: Kaby Lake rev.12 cache: 6144 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 16799
           clock speeds: max: 4200 MHz 1: 3900 MHz 2: 3900 MHz 3: 3900 MHz
           4: 3900 MHz 5: 3900 MHz 6: 3899 MHz 7: 3900 MHz 8: 3901 MHz
Graphics: Card-1: Intel Device 9b41 bus-ID: 00:02.0
           Card-2: NVIDIA Device 1f91 bus-ID: 02:00.0
           Display Server: x11 (X.Org 1.20.4 ) drivers: i915,nouveau
           Resolution: 1920x1080@60.00hz, 1080x2160@50.03hz, 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics (Comet Lake 3x8 GT2)
           version: 4.5 Mesa 19.0.2 Direct Render: Yes
Audio: Card Intel Device 02c8 driver: snd_hda_intel bus-ID: 00:1f.3
           Sound: Advanced Linux Sound Architecture v: k5.4.0-050400-generic
Network: Card: Intel Device 02f0 driver: iwlwifi bus-ID: 00:14.3
           IF: wlo1 state: up speed: N/A duplex: N/A mac: <filter>

Vladimir Sokolov (sirsova) wrote :

Same problem on Ubuntu 19.04 with Windows 10

Kernel: Linux 5.4.3-050403-generic

```
System:
  Host: ZenBook-UX534FT Kernel: 5.4.3-050403-generic x86_64 bits: 64
  compiler: gcc v: 9.2.1 Desktop: Gnome 3.32.2
  Distro: Ubuntu 19.04 (Disco Dingo)
Machine:
  Type: Laptop System: ASUSTeK product: ZenBook UX534FT_UX534FT v: 1.0
  serial: <filter>
  Mobo: ASUSTeK model: UX534FT v: 1.0 serial: <filter>
  UEFI: American Megatrends v: UX534FT.300 date: 07/12/2019

Audio:
  Device-1: Intel vendor: ASUSTeK driver: snd_hda_intel v: kernel
  bus ID: 00:1f.3
  Sound Server: ALSA v: k5.4.3-050403-generic
```

$ lspci | grep Audio

```
00:1f.3 Audio device: Intel Corporation Device 9dc8 (rev 30)
```
$ aplay -l
```
**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC294 Analog [ALC294 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 9: HDMI 3 [HDMI 3]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 10: HDMI 4 [HDMI 4]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
```

Also tried different kernel versions : 4.20, 5.0, 5.3
and Ubuntu 18.04/19.10
All works fine on Windows.

Shricharan Shastry (cshastry) wrote :

Can confirm I'm facing this issue too.

affects: linux-signed-hwe (Ubuntu) → ubuntu
Fransoua (fransoua) wrote :

Same problem
Dual boot W10(works fine) and Ubuntu 19.10
Tried different kernel 5.3, 5.4.3, 5.5.0 RC2

$ aplay _l
carte 0: PCH [HDA Intel PCH], périphérique 0: ALC294 Analog [ALC294 Analog]
  Sous-périphériques: 1/1

$ lspci
00:00.0 Host bridge: Intel Corporation Device 9b61 (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Device 9b41 (rev 02)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 0c)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th Gen Core Processor Gaussian Mixture Model
00:12.0 Signal processing controller: Intel Corporation Device 02f9
00:14.0 USB controller: Intel Corporation Device 02ed
00:14.2 RAM memory: Intel Corporation Device 02ef
00:14.3 Network controller: Intel Corporation Device 02f0
00:14.5 SD Host controller: Intel Corporation Device 02f5
00:15.0 Serial bus controller [0c80]: Intel Corporation Device 02e8
00:15.1 Serial bus controller [0c80]: Intel Corporation Device 02e9
00:15.3 Serial bus controller [0c80]: Intel Corporation Device 02eb
00:16.0 Communication controller: Intel Corporation Device 02e0
00:19.0 Serial bus controller [0c80]: Intel Corporation Device 02c5
00:1c.0 PCI bridge: Intel Corporation Device 02b8 (rev f0)
00:1c.4 PCI bridge: Intel Corporation Device 02bc (rev f0)
00:1d.0 PCI bridge: Intel Corporation Device 02b4 (rev f0)
00:1f.0 ISA bridge: Intel Corporation Device 0284
00:1f.3 Audio device: Intel Corporation Device 02c8
00:1f.4 SMBus: Intel Corporation Device 02a3
00:1f.5 Serial bus controller [0c80]: Intel Corporation Device 02a4
02:00.0 3D controller: NVIDIA Corporation Device 1f91 (rev a1)
03:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM981/PM981/PM983

;-(

Dan Darie (z-dan-3) wrote :

Same here.

---
00:1f.3 Audio device: Intel Corporation Device 02c8
---
System: Host: zenu Kernel: 5.4.6-050406-generic x86_64 bits: 64 compiler: gcc v: 9.2.1 Desktop: Gnome 3.34.1
           Distro: Ubuntu 19.10 (Eoan Ermine)
Machine: Type: Laptop System: ASUSTeK product: ZenBook UX534FTC_UX534FT v: 1.0 serial: <filter>
           Mobo: ASUSTeK model: UX534FTC v: 1.0 serial: <filter> UEFI: American Megatrends v: UX534FTC.300 date: 09/05/2019
CPU: Topology: Quad Core model: Intel Core i7-10510U bits: 64 type: MT MCP arch: Kaby Lake rev: C L2 cache: 8192 KiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 36799
           Speed: 1800 MHz min/max: 400/1800 MHz Core speeds (MHz): 1: 1800 2: 1800 3: 1800 4: 1800 5: 1800 6: 1800 7: 1800
           8: 1800
Audio: Device-1: Intel vendor: ASUSTeK driver: snd_hda_intel v: kernel bus ID: 00:1f.3
           Sound Server: ALSA v: k5.4.6-050406-generic
---
00:00.0 Host bridge: Intel Corporation Device 9b61 (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Device 9b41 (rev 02)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 0c)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th Gen Core Processor Gaussian Mixture Model
00:12.0 Signal processing controller: Intel Corporation Device 02f9
00:14.0 USB controller: Intel Corporation Device 02ed
00:14.2 RAM memory: Intel Corporation Device 02ef
00:14.3 Network controller: Intel Corporation Device 02f0
00:14.5 SD Host controller: Intel Corporation Device 02f5
00:15.0 Serial bus controller [0c80]: Intel Corporation Device 02e8
00:15.1 Serial bus controller [0c80]: Intel Corporation Device 02e9
00:15.3 Serial bus controller [0c80]: Intel Corporation Device 02eb
00:16.0 Communication controller: Intel Corporation Device 02e0
00:19.0 Serial bus controller [0c80]: Intel Corporation Device 02c5
00:1c.0 PCI bridge: Intel Corporation Device 02b8 (rev f0)
00:1c.4 PCI bridge: Intel Corporation Device 02bc (rev f0)
00:1d.0 PCI bridge: Intel Corporation Device 02b4 (rev f0)
00:1f.0 ISA bridge: Intel Corporation Device 0284
00:1f.3 Audio device: Intel Corporation Device 02c8
00:1f.4 SMBus: Intel Corporation Device 02a3
00:1f.5 Serial bus controller [0c80]: Intel Corporation Device 02a4
02:00.0 3D controller: NVIDIA Corporation Device 1f91 (rev a1)
03:00.0 Non-Volatile memory controller: Intel Corporation SSDPEKNW020T8 [660p, 2TB] (rev 03)

Taha Soomro (suryaya) wrote :

Same problem. I posted a duplicate bug report.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1857991

Taha Soomro (suryaya) wrote :

Has anyone been able to patch a custom kernel by following the instructions below? (see comments #60 - 64):

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1784485

Or https://forum.manjaro.org/t/alc294-analog-audio-card-detected-but-no-sound-internaly-or-headphones/54089/29

I tried to follow the fix but I can't even boot into the new Kernel in order to apply the patch, it gives me a loading initrd img and just stays there. Apparently THAT is another bug that also affects ASUS Zenbooks when compiling a kernel from scratch :( see:

https://askubuntu.com/questions/1145535/stuck-on-loading-initial-ramdisk-after-upgrading

affects: ubuntu → linux (Ubuntu)
Changed in linux-signed-hwe (Ubuntu):
status: New → Confirmed

Same problem on ASUS Zenbook 15 UX533FTC-A8157R

# hwinfo --sound

18: PCI 1f.3: 0403 Audio device
  [Created at pci.386]
  Unique ID: nS1_.9G5mT1GK4nF
  SysFS ID: /devices/pci0000:00/0000:00:1f.3
  SysFS BusID: 0000:00:1f.3
  Hardware Class: sound
  Model: "Intel Audio device"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x02c8
  SubVendor: pci 0x1043 "ASUSTeK Computer Inc."
  SubDevice: pci 0x1a61
  Driver: "snd_hda_intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xc4318000-0xc431bfff (rw,non-prefetchable)
  Memory Range: 0xc4100000-0xc41fffff (rw,non-prefetchable)
  IRQ: 148 (1016 events)
  Module Alias: "pci:v00008086d000002C8sv00001043sd00001A61bc04sc03i80"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Driver Info #1:
    Driver Status: snd_sof_pci is active
    Driver Activation Cmd: "modprobe snd_sof_pci"
  Config Status: cfg=new, avail=yes, need=no, active=unknown

Afanasy Animal (afanasyanimal) wrote :

Same problem
Tried kernels: 5.0, 5.3, 5.4, 5.5.0 RC7

inxi -Fxz
System:
  Host: xxxxxxx Kernel: 5.5.0-050500rc7-generic x86_64 bits: 64
  compiler: gcc v: 9.2.1 Desktop: Gnome 3.34.1
  Distro: Ubuntu 19.10 (Eoan Ermine)
Machine:
  Type: Laptop System: ASUSTeK product: ZenBook UX534FTC_UX534FT v: 1.0
  serial: <filter>
  Mobo: ASUSTeK model: UX534FTC v: 1.0 serial: <filter>
  UEFI: American Megatrends v: UX534FTC.300 date: 09/05/2019
Battery:
  ID-1: BAT0 charge: 52.3 Wh condition: 70.0/71.0 Wh (99%)
  model: ASUSTeK ASUS Battery status: Discharging
CPU:
  Topology: Quad Core model: Intel Core i7-10510U bits: 64 type: MT MCP
  arch: Kaby Lake rev: C L2 cache: 8192 KiB
  flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  bogomips: 36799
  Speed: 700 MHz min/max: 400/4900 MHz Core speeds (MHz): 1: 724 2: 754
  3: 704 4: 704 5: 738 6: 737 7: 704 8: 704
Graphics:
  Device-1: Intel vendor: ASUSTeK driver: i915 v: kernel bus ID: 00:02.0
  Device-2: NVIDIA vendor: ASUSTeK driver: nvidia v: 440.48.02
  bus ID: 02:00.0
  Display: x11 server: X.Org 1.20.5 driver: modesetting,nvidia
  unloaded: fbdev,nouveau,vesa resolution: 1920x1080~60Hz
  OpenGL: renderer: GeForce GTX 1650 with Max-Q Design/PCIe/SSE2
  v: 4.6.0 NVIDIA 440.48.02 direct render: Yes
Audio:
  Device-1: Intel vendor: ASUSTeK driver: snd_hda_intel v: kernel
  bus ID: 00:1f.3
  Sound Server: ALSA v: k5.5.0-050500rc7-generic
Network:
  Device-1: Intel driver: iwlwifi v: kernel port: 4000 bus ID: 00:14.3
  IF: wlo1 state: up mac: <filter>
Drives:
  Local Storage: total: 953.87 GiB used: 12.59 GiB (1.3%)
  ID-1: /dev/nvme0n1 vendor: Samsung model: MZVLB1T0HALR-00000
  size: 953.87 GiB
Partition:
  ID-1: / size: 117.02 GiB used: 12.52 GiB (10.7%) fs: ext4
  dev: /dev/nvme0n1p6
Sensors:
  System Temperatures: cpu: 49.0 C mobo: N/A gpu: nvidia temp: 48 C
  Fan Speeds (RPM): cpu: 2800
Info:
  Processes: 296 Uptime: 19m Memory: 15.44 GiB used: 2.07 GiB (13.4%)
  Init: systemd runlevel: 5 Compilers: gcc: 9.2.1 Shell: bash v: 5.0.3
  inxi: 3.0.36

hwinfo --sound
18: PCI 1f.3: 0403 Audio device
  [Created at pci.386]
  Unique ID: nS1_.9G5mT1GK4nF
  SysFS ID: /devices/pci0000:00/0000:00:1f.3
  SysFS BusID: 0000:00:1f.3
  Hardware Class: sound
  Model: "Intel Audio device"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x02c8
  SubVendor: pci 0x1043 "ASUSTeK Computer Inc."
  SubDevice: pci 0x1a61
  Driver: "snd_hda_intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xc4318000-0xc431bfff (rw,non-prefetchable)
  Memory Range: 0xc4100000-0xc41fffff (rw,non-prefetchable)
  IRQ: 149 (802 events)
  Module Alias: "pci:v00008086d000002C8sv00001043sd00001A61bc04sc03i80"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Driver Info #1:
    Driver Status: snd_sof_pci is active
    Driver Activation Cmd: "modprobe snd_sof_pci"
  Config Status: cfg=new, avail=yes, need=no, active=unknown

Colin Gelling (colingelling96) wrote :

I have recently bought a Zenbook flip 15 ux563fd and spend an entire day on fixing sound, tried multiple kernels and switched between Ubuntu 18.04 and Ubuntu 19.10. Got all the updates, reinstalled pulseaudio, checked alsamixer to make sure every needed option was on, tried changing permissions but nothing fixes it. When I play something with sound, I will see inside the pulseaudio configuration at 'Output Devices' that there is something playing and the same for the microphone.

dmesg:

2.733052] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC294: line_outs=1 (0x17/0x0/0x0/0x0/0x0) type:speaker
[ 2.733055] snd_hda_codec_realtek hdaudioC0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 2.733056] snd_hda_codec_realtek hdaudioC0D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[ 2.733057] snd_hda_codec_realtek hdaudioC0D0: mono: mono_out=0x0
[ 2.733058] snd_hda_codec_realtek hdaudioC0D0: inputs:
[ 2.733060] snd_hda_codec_realtek hdaudioC0D0: Internal Mic=0x13
[ 2.733061] snd_hda_codec_realtek hdaudioC0D0: Internal Mic=0x12

lspci -v:

00:1f.3 Audio device: Intel Corporation Device 02c8 (prog-if 80)
 Subsystem: ASUSTeK Computer Inc. Device 194e
 Flags: bus master, fast devsel, latency 32, IRQ 151
 Memory at c4318000 (64-bit, non-prefetchable) [size=16K]
 Memory at c4100000 (64-bit, non-prefetchable) [size=1M]
 Capabilities: <access denied>
 Kernel driver in use: snd_hda_intel
 Kernel modules: snd_hda_intel, snd_soc_skl, sof_pci_dev

hwinfo --sound:

20: PCI 1f.3: 0403 Audio device
  [Created at pci.386]
  Unique ID: nS1_.jJ3JrEFgnI8
  SysFS ID: /devices/pci0000:00/0000:00:1f.3
  SysFS BusID: 0000:00:1f.3
  Hardware Class: sound
  Model: "Intel Audio device"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x02c8
  SubVendor: pci 0x1043 "ASUSTeK Computer Inc."
  SubDevice: pci 0x194e
  Driver: "snd_hda_intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xc4318000-0xc431bfff (rw,non-prefetchable)
  Memory Range: 0xc4100000-0xc41fffff (rw,non-prefetchable)
  IRQ: 151 (1190 events)
  Module Alias: "pci:v00008086d000002C8sv00001043sd0000194Ebc04sc03i80"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Driver Info #1:
    Driver Status: snd_soc_skl is active
    Driver Activation Cmd: "modprobe snd_soc_skl"
  Driver Info #2:
    Driver Status: sof_pci_dev is active
    Driver Activation Cmd: "modprobe sof_pci_dev"
  Config Status: cfg=new, avail=yes, need=no, active=unknown

I hope that it can be patched

Taha Soomro (suryaya) wrote :

Do you think an external USB sound card would work?

Yes

Bluetooth speakers work with (mailing) kernel 5.4 on Ubuntu 19.10.

On Mon, Jan 27, 2020, 10:45 Victor Zubrilov <email address hidden>
wrote:

> Yes
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1850439
>
> Title:
> No sound on ASUS UX534FT
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux-signed-hwe package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi,
>
> after instal Ubuntu in dual boot alongside Windows 10, I've realised
> there is no sound coming out of mine new ASUS Zenbook 15 UX534FT-
> AA024R in Ubuntu. In Windows there is no problem. Found this topic
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810214 which had
> the same problem with driver for Realtek ALC294 which is also mine
> sound card. But even with this fix it is not working on UX534FT. Can
> you please add fix also for this newer model?
>
> Description: Ubuntu 18.04.3 LTS
> Release: 18.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-5.0.0-32-generic 5.0.0-32.34~18.04.2
> ProcVersionSignature: Ubuntu 5.0.0-32.34~18.04.2-generic 5.0.21
> Uname: Linux 5.0.0-32-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.7
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Tue Oct 29 15:11:25 2019
> InstallationDate: Installed on 2019-10-29 (0 days ago)
> InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64
> (20190805)
> SourcePackage: linux-signed-hwe
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/+subscriptions
>

Download full text (4.5 KiB)

I'm in the same train as colingelling96. Very similar computer and same problem. It really sucks because I got this computer from work to work on something that requires Linux, and now this thing is useless since I can't attend meetings.

I guess I will keep it for a couple weeks to see if this gets solved.

Ubuntu 18.04

dmesg

[ 0.158255] ACPI: Added _OSI(Linux-Dell-Video)
[ 0.158256] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[ 0.158256] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
--
[ 0.261609] pci 0000:02:00.0: reg 0x30: [mem 0xc4000000-0xc407ffff pref]
[ 0.261622] pci 0000:02:00.0: Enabling HDA controller
[ 0.261720] pci 0000:02:00.0: 31.504 Gb/s available PCIe bandwidth, limited by 8 GT/s x4 link at 0000:00:1c.4 (capable of 126.016 Gb/s with 8 GT/s x16 link)
--
[ 2.194272] intel-lpss 0000:00:19.0: enabling device (0004 -> 0006)
[ 2.194615] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040380
[ 2.194966] snd_hda_intel 0000:00:1f.3: enabling device (0000 -> 0002)
[ 2.195452] snd_hda_intel 0000:00:1f.3: Applying patch firmware 'hda-jack-retask.fw'
[ 2.215494] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 2.218477] AVX2 version of gcm_enc/dec engaged.
--
[ 2.252668] Console: switching to colour frame buffer device 135x135
[ 2.269869] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC294: line_outs=2 (0x17/0x14/0x0/0x0/0x0) type:speaker
[ 2.269871] snd_hda_codec_realtek hdaudioC0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 2.269872] snd_hda_codec_realtek hdaudioC0D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[ 2.269873] snd_hda_codec_realtek hdaudioC0D0: mono: mono_out=0x0
[ 2.269874] snd_hda_codec_realtek hdaudioC0D0: inputs:
[ 2.269876] snd_hda_codec_realtek hdaudioC0D0: Internal Mic=0x13
[ 2.269877] snd_hda_codec_realtek hdaudioC0D0: Internal Mic=0x12
[ 2.269878] snd_hda_codec_realtek hdaudioC0D0: Mic=0x18
[ 2.278092] i915 0000:00:02.0: fb0: i915drmfb frame buffer device
--
[ 2.732815] hid-sensor-hub 001F:8087:0AC2.0001: hid_field_extract() called with n (192) > 32! (kworker/3:1)
[ 2.737046] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1f.3/sound/card0/input25
[ 2.796868] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[ 2.810522] input: HDA Intel PCH Headphone as /devices/pci0000:00/0000:00:1f.3/sound/card0/input26
[ 2.930361] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input27
[ 2.930397] input: HDA Intel PCH HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input28
[ 2.930475] input: HDA Intel PCH HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input29
[ 2.930503] input: HDA Intel PCH HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input30
[ 2.930526] input: HDA Intel PCH HDMI/DP,pcm=10 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input31
[ 2.939741] input: GDX1515:00 27C6:01F4 Mouse as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-GDX1515:00/0018:27C6:01F4.0003/input/input32

lspci -v
00:1f.3 Audio device: Intel Corporat...

Read more...

Taha Soomro (suryaya) wrote :

This bug affected the previous generation of Zenbooks but was apparently fixed. I am hoping someone figures out how to apply the same patches. Downloading and patching 5.4.10 kernel wont let me boot into it but I will try again with 4.20 next weekend

soulsacrifire (simone-2) wrote :

I've installed the 19.10 without the nvidia drivers.
The sound is good but metallic. sometimes it croaks and the headphones
don't always work properly.

Il giorno mar 28 gen 2020 alle ore 08:05 Victor Zubrilov <
<email address hidden>> ha scritto:

> I tried the patch https://forum.manjaro.org/t/alc294-analog-audio-card-
> detected-but-no-sound-internaly-or-headphones/54089/29
> <https://forum.manjaro.org/t/alc294-analog-audio-card-detected-but-no-sound-internaly-or-headphones/54089/29>
> for kernel 5.4,
> but the sound is not working
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1856460).
> https://bugs.launchpad.net/bugs/1850439
>
> Title:
> No sound on ASUS UX534FT
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux-signed-hwe package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi,
>
> after instal Ubuntu in dual boot alongside Windows 10, I've realised
> there is no sound coming out of mine new ASUS Zenbook 15 UX534FT-
> AA024R in Ubuntu. In Windows there is no problem. Found this topic
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810214 which had
> the same problem with driver for Realtek ALC294 which is also mine
> sound card. But even with this fix it is not working on UX534FT. Can
> you please add fix also for this newer model?
>
> Description: Ubuntu 18.04.3 LTS
> Release: 18.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-5.0.0-32-generic 5.0.0-32.34~18.04.2
> ProcVersionSignature: Ubuntu 5.0.0-32.34~18.04.2-generic 5.0.21
> Uname: Linux 5.0.0-32-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.7
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Tue Oct 29 15:11:25 2019
> InstallationDate: Installed on 2019-10-29 (0 days ago)
> InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64
> (20190805)
> SourcePackage: linux-signed-hwe
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/+subscriptions
>

I bought some cheap USB sound card and at least I can use earphones with mic.

If you go the same path, just make sure that it is compatible with Linux and check your earphones/microphone plugs to see if you need one with one or two connectors or buy adapters as needed.

That's my current workaround.

Taha Soomro (suryaya) wrote :

Yeah that works for me too. I hope there is a fix soon.

Kai-Heng Feng (kaihengfeng) wrote :

Please boot with an Ubuntu kernel and run `apport-collect 1850439` to collect more information.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
no longer affects: linux-signed-hwe (Ubuntu)

ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.9
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: akorovko 1581 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-12-22 (44 days ago)
InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 (20190805)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 002: ID 13d3:56cb IMC Networks
 Bus 001 Device 003: ID 8087:0aaa Intel Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. ZenBook UX534FT_UX534FT
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-28-generic root=UUID=15f09ee1-7b5d-4f03-a5e1-736aa1bd011b ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 5.3.0-28.30~18.04.1-generic 5.3.13
RelatedPackageVersions:
 linux-restricted-modules-5.3.0-28-generic N/A
 linux-backports-modules-5.3.0-28-generic N/A
 linux-firmware 1.173.14
Tags: bionic
Uname: Linux 5.3.0-28-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 07/12/2019
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX534FT.300
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX534FT
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX534FT.300:bd07/12/2019:svnASUSTeKCOMPUTERINC.:pnZenBookUX534FT_UX534FT:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX534FT:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: ZenBook
dmi.product.name: ZenBook UX534FT_UX534FT
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.9
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: akorovko 1581 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-12-22 (44 days ago)
InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 (20190805)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 002: ID 13d3:56cb IMC Networks
 Bus 001 Device 003: ID 8087:0aaa Intel Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. ZenBook UX534FT_UX534FT
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-28-generic root=UUID=15f09ee1-7b5d-4f03-a5e1-736aa1bd011b ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 5.3.0-28.30~18.04.1-generic 5.3.13
RelatedPackageVersions:
 linux-restricted-modules-5.3.0-28-generic N/A
 linux-backports-modules-5.3.0-28-generic N/A
 linux-firmware 1.173.14
Tags: bionic
Uname: Linux 5.3.0-28-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 07/12/2019
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX534FT.300
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX534FT
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX534FT.300:bd07/12/2019:svnASUSTeKCOMPUTERINC.:pnZenBookUX534FT_UX534FT:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX534FT:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: ZenBook
dmi.product.name: ZenBook UX534FT_UX534FT
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Taha Soomro (suryaya) on 2020-02-05
tags: added: eoan wayland-session
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Alexander (alex-korovko) on 2020-04-15
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
106 comments hidden view all 186 comments
Sergey Kostyuk (ks-hot-ua) wrote :

I found it! I found the magic sequence!!!

srgk@zen~$ sudo hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
[sudo] password for srgk:
nid = 0x20, verb = 0x500, param = 0x1b
value = 0x0
srgk@zen:~$ sudo hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
nid = 0x20, verb = 0x477, param = 0x4a4b
value = 0x0
srgk@zen:~$ sudo hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
nid = 0x20, verb = 0x500, param = 0xf
value = 0x0
srgk@zen:~$ sudo hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74
nid = 0x20, verb = 0x477, param = 0x74
value = 0x0

The result of alsa-info after those commands is still different from the reference above for some reason. But it works perfectly without artifacts!

Erikas (erikmnkl) wrote :

Nice. One more thing - if you can't get sound to work, then you need to:

1. Completely shutdown the laptop
2. Unplug charger
3. Wait few seconds
4. (optional) plug charger back
5. power on and apply commands. Sound works.

Is there something else we are missing? Like power reset command or something?

Sergey Kostyuk (ks-hot-ua) wrote :

For me just usual reboot is enough. I reboot the notebook, start some application that plays sound and then execute the commands below. And everything works as a charm on my UX534FTC.

About reset - try also "alsa force-reload" and maybe the following command:

hda-verb /dev/snd/hwC0D0 0x51 0x7ff 0x0 # AC_VERB_SET_CODEC_RESET

Erikas (erikmnkl) wrote :

I can also confirm that using these 4 commands sound works perfectly fine on UX533FTC. It seems that the only last 2 commands are needed to be executed in sequence, but using all 4 commands works fine too (or maybe I can't tell the difference? lol).

hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

So in conclusion, if sound still doesn't work for someone, try these:

Fix #1: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/141
Fix #2: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/148
Fix #3: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/149

It's also been historical issue with Asus laptops, when there is no sound after reboot from Windows to Linux. Full shutdown or sleep & wakeup fixes this. Maybe I unintentionally described this in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/148 :)

I've tested those commands.

Before run it, I installed alsa-tools:
sudo apt install alsa-tools

then I run these commands:
sudo hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
sudo hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
sudo hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
sudo hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

Awesome, the sound is working good now on UX533FTC and Ubuntu 20.04 LTS!

It does not work after rebooting.
So, I created bash script and run it on startup.

1) Create a bash script:

nano fix_sound.sh

#!/bin/bash

hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

2) Change the permission of the script you saved
sudo chmod 774 fix_sound.sh

3) Add it to startup

sudo crontab -e

4) Then add this to your crontab:
@reboot /path/to/fix_sound.sh

Eugene Batogov (johnbat26) wrote :

Sound works ! Thanks!
But microphone doesn't work yet.

Eugene,

Could you please run

echo 1 | sudo tee /sys/module/snd_hda_codec/parameters/dump_coef

wget http://www.alsa-project.org/alsa-info.sh -O alsa-info.sh && bash
alsa-info.sh

And post the results?

On Tue, Jun 2, 2020, 14:10 Eugene Batogov <email address hidden>
wrote:

> Sound works ! Thanks!
> But microphone doesn't work yet.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1850439
>
> Title:
> No sound on ASUS UX534FT
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi,
>
> after instal Ubuntu in dual boot alongside Windows 10, I've realised
> there is no sound coming out of mine new ASUS Zenbook 15 UX534FT-
> AA024R in Ubuntu. In Windows there is no problem. Found this topic
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810214 which had
> the same problem with driver for Realtek ALC294 which is also mine
> sound card. But even with this fix it is not working on UX534FT. Can
> you please add fix also for this newer model?
>
> Description: Ubuntu 18.04.3 LTS
> Release: 18.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-5.0.0-32-generic 5.0.0-32.34~18.04.2
> ProcVersionSignature: Ubuntu 5.0.0-32.34~18.04.2-generic 5.0.21
> Uname: Linux 5.0.0-32-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.7
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Tue Oct 29 15:11:25 2019
> InstallationDate: Installed on 2019-10-29 (0 days ago)
> InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64
> (20190805)
> SourcePackage: linux-signed-hwe
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/+subscriptions
>

Erikas (erikmnkl) wrote :

Here is mine. Microphone is not working too.

http://alsa-project.org/db/?f=bc27c07ba139a31dc9ff561666554eabbbaeb924

My exact model is UX533FTC-A8221R

Neitsab (neitsab) wrote :

Thank you so much Sergey, Erikas and everyone involved in this thread! Thanks to your efforts I confirm that the four hda-verb commands work flawlessly to restore internal sound on UX534FA-A8093T (internally recognized as UX534FAC) with Intel Core i5-10210U on Solus OS. I just had to install alsa-tools and enter the four aforementioned commands.

What works:

- internal speakers (with good sound quality)
- headphones: both plugging in and unplugging while sound is working work as expected with sound being shifted to one or the other output flawlessly
- internal mic also seems to work (if I believe the sound meter in Sound settings) but it was already working before too I believe.

Do you think it's time to send an email to the kernel mailing list to try to get this fixed upstream? Before this fix I had tried without success another suggestion of patching kernel source file /sound/pci/hda/patch_realtek.c, so as to enable a preexisting quirk for our models. I got the idea from https://forum.manjaro.org/t/alc294-analog-audio-card-detected-but-no-sound-internaly-or-headphones/54089, it didn't work but surely as this is quite a common thing with Asus laptops, somebody up there in kernel land will be able to merge the proper fix?

If someone is already used to posting to LKML then please go ahead, otherwise I'll try to set up my email client so as not to trip off Majordomo ;-)

Thanks a lot again for the debugging work @Sergey & Erikas.

Neitsab (neitsab) wrote :

(PS: once again this patch **didn't work**, and for context it was tried against Ubuntu 20.04 default kernel.)

tags: added: patch
Sergey Kostyuk (ks-hot-ua) wrote :

(this a reply to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/153)

Eugene,

Looks like your device has a different audio hardware (??!!) and even a separate bass speaker. If, of course, it's not just ALSA behaving different on Arch and Ubuntu with different kernel versions.

Here is my alsa-info output for comparison: http://alsa-project.org/db/?f=de23539e56920af428008882c75fdb912728f30e. There is no bass speaker on my machine. And also you have other hda connections, driver pin configs and some other stuff.

Unfortunately the only thing I can recommend you is to follow my approach described in comments #131 and #128 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/131 and https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/128).

Basically you need to:
1) install Windows 10 in the Qemu virtual machine: https://wiki.gentoo.org/wiki/QEMU/Windows_guest
2) list you IOMMU groups, add all devices from IOMMU group to the vfio driver: https://wiki.archlinux.org/index.php/PCI_passthrough_via_OVMF#Enabling_IOMMU

Here is the example for my machine and my devices, replace the corresponding string in /etc/default/grub with your devices:

GRUB_CMDLINE_LINUX_DEFAULT="text vfio-pci.ids=8086:02a3,8086:02c8,8086:0284,8086:7270 iommu=pt intel_iommu=on"

4) upgrade-grub
5) reboot
6) start windows virtual machine with the audio card forwarded, example: https://gist.github.com/s-kostyuk/b8940413cc4334092a6fcc58661e0278
7) install the Realtek driver from here: https://www.asus.com/us/Laptops/ASUS-ZenBook-15-UX534FTC/HelpDesk_Download/
IMPORTANT: Search for appropriate drivers for YOUR notebook if it's not UX534FTC.

8) in device manager - manually change the driver for your audio device to the "Realtek High Definition Audio Version 6.0.8794.1" (or similar)
9) ensure that everything is working in windows (mic, speakers, headphones, etc)
10) disable the device in device manager
11) stop windows VM
12) attach Ubuntu 20.04 Live CD (or other) with the audio still forwarded
13) ensure that the sound is working in VM
14) enable dump_coef, run alsa-info.sh and try to find the differences with vanilla state

Sergey Kostyuk (ks-hot-ua) wrote :

(This comment is a reply to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/155)

Erikas, could you please enable dump_coef as described in the comment #153 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/153) and update the results?

Those vendor-specific coefficients are where the most of the magic are hidden. Possibly, there are some differences too between your configuration and mine. Possibly hardware differences.

BTW on a back of my notebook the model is listed as UX534F, QR code on the back redirects to the page for UX534FT, dmidecode shows "Product Name: ZenBook UX534FTC_UX534FT" in the "System Information" and it was sold to me as UX534FTC-A8101T. Which is a complete mess, thanks to ASUS.

Kailiang Yang (kailang) wrote :

Please test below.

hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x400 0x7774
hda-verb /dev/snd/hwC0D0 0x20 0x500 0x45
hda-verb /dev/snd/hwC0D0 0x20 0x400 0x5289

I think Headset Mic should be worked.

Taha Soomro (suryaya) wrote :

Thanks to the 4 commands above, internal speakers and headphones connected via audio jack work perfectly fine on UX534FTC. Microphone was extremely scratchy and full of static, however this was fixed simply via putting mic boost to zero with alsamixer.

Anyway, thank you very much for the work!!

Alac (alac72) wrote :

I subscribed to this bug a month ago and only want to say thanks to everyone and all the work on this. I tried the four commands above and it works like magic. Also like Taha Soomro says, the microphone works perfectly after putting mic boost to zero with alsamixer.

Thank you all for this :)

Sergey Kostyuk (ks-hot-ua) wrote :

Hello Taha and Alac,

Please clarify which exactly set of commands helped you. Is it the following set of commands?

hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

Because on Thursday I received a notification about comment #160 from Kailiang. But can't find it anymore on the UI.

Erikas (erikmnkl) wrote :

Kailiang suggested trying these:

hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x400 0x7774
hda-verb /dev/snd/hwC0D0 0x20 0x500 0x45
hda-verb /dev/snd/hwC0D0 0x20 0x400 0x5289

Unfortunately, on my Asus Zenbook UX533FTC those commands did not fix microphone, even when setting it's boost/volume to 0% (both via alsamixer and pavucontrol). In fact, those commands did not seem to change anything.

-----------------------------

Someone, using UX533FTC model, confirm that audio sounds exactly the same when using these commands:

hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

versus these:

hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

Thing is - try to hear any difference, especially in higher frequencies. I still think that we only need these 2 commands on this particular model.

----------------------------

Note that I am using BIOS version "300" from date "2020/02/26" from Asus website https://www.asus.com/Laptops/ASUS-ZenBook-15-UX533FTC/HelpDesk_BIOS/

Alac (alac72) wrote :

Hi Sergey,

I just write the script with that four commands:

hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

and just in case check that the volume values on alsamixer were ok.

I check that both external speaker and jack works properly.

My laptop is the ZenBook UX534FTC.

Taha Soomro (suryaya) wrote :

I ran all 4 commands posted by Erikas in #150. I am not sure what fixed it as I did not stop to test between commands. But I made it an sh script as Viktor suggested.

Thank you guys! Good job!

Andrea De Blasi (andreadb21) wrote :

I tried to run the 4 commands but nothing seems change. After that I used the script and now both speaker and microphone works fine on my UX534FTC.
Thank you guys!

Erikas (erikmnkl) wrote :

Just a thought. Since we have list of commands in here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/132

and more commands/debugging here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/134
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/135
(how to is here https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/133)

Can someone try out those commands to see if they solve no audio bug after rebooting from Windows to Linux? Note that this bug can be solved by suspending & resuming laptop (on linux) as well as performing full shutdown when switching from Windows to Linux.

Erikas (erikmnkl) wrote :

@Taha Soomro (suryaya) - I assume you have UX533FTC laptop (and not UX534* laptop).

1. Disable all commands that are performed on boot.
2. Reboot laptop - sound is not working
3. Apply only these manually:

hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

4. Listen to some audio and realize if sound sounds OK or if some frequencies are distorted.
5. Reboot
6. Apply only these manually:

hda-verb /dev/snd/hwC0D0 0x20 0x500 0x1b
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x4a4b
hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x477 0x74

7. Listen to some audio and realize if sound is any different when compared to 2 commands only.

----

My point is - on UX533FTC you don't need 4 commands. 2 are enough, because to me audio sounds exactly identical.

The remaining issue is microphone on this particular model. @Sergey - I already tried attaching IOMMU group, but without success. I got error code 10 (or 11 - don't remember) in Windows for unknown reason when enabling/using the audio device. I used VM in legacy mode. The overall process is pretty complex to get it working correctly, and I don't have any experience with in the first place. Might give it another try at some time.

Alexey Fomin (fominleha) wrote :

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/170

first two commands are working for me, I've got my sound! thanks!

Hans de Goede (j-w-r-degoede) wrote :

Hi All,

We (upstream kernel devs) are currently working with Realtek to get to the bottom of this, once we know what the exact settings are which need to be applied we can then add a quirk to the kernel to do this automatically.

Realtek is asking for people with an affected laptop model to test the following 4 commands / register settings:

hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x400 0x7774
hda-verb /dev/snd/hwC0D0 0x20 0x500 0x45
hda-verb /dev/snd/hwC0D0 0x20 0x400 0x5289

If possible please check all 4 of:

1. Speakers
2. Headphones output
3. Internal mic.
4. Headset mic. (using a phone headset with builtin mic with a single T-R-R-S connector)

After testing please report back here what works (and what does not work) after issueing the 4 above commands; and please do not forget to also let us know what model laptop you have.

After running the above commands sound and mic works on both built-in and headset with 2.5mm connector. The model is UX533FTC.

Sergey Kostyuk (ks-hot-ua) wrote :

Hello Hans,

Please find my report below. Let me know if you need any additional information.
And thank you.

Environment:
- Device Model: ASUS Zenbook UX534FTC-A8101T.
- BIOS: Version 304 2020/02/06
- Test Case: Cold boot to Ubuntu 20.04. No other commands executed except those mentioned in the https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/172.
- Test application: Ubuntu Settings > Sound > Test

Test results:
- Speakers: Work
- Headphones (w/o microphone): Work perfectly
- Internal mic: Works perfectly
- Headset mic: Works perfectly
- Headset detection (switching from internal to external mic): Works perfectly
- Headphone detection (switching from internal speakers): Works perfectly

k0t (dr-kstin) wrote :

Hello,

Please refer to the report below.

Report:
- Device: Asus Zenbook Flip UX563FD-A1041T
- Popos 20.04 (Linux pop-os 5.4.0-7634-generic #38~1592497129~20.04~9a1ea2e-Ubuntu)

Results:
1) Before the commands:
- Speakers - don't work
- Internal mic - works
2) After the commands:
- Speakers - work
- Internal mic - works
- Headphones: only left works
- Headset - doesn't work (it isn't shown in settings, so it can't be selected)

Kailiang Yang (kailang) wrote :

Hi All,

Please test again for below commands.

hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
hda-verb /dev/snd/hwC0D0 0x20 0x400 0x7778

If possible please check all 4 of:

1. Speakers
2. Headphones output
3. Internal mic.
4. Headset mic. (using a phone headset with builtin mic with a single T-R-R-S connector)

Kai-Heng Feng (kaihengfeng) wrote :

Please also test the kernel, which includes latest patch from Realtek:
https://people.canonical.com/~khfeng/lp1850439/

Kailiang Yang (kailang) wrote :

Sorry!!!
It doesn't need to test #176.

Sergey Kostyuk (ks-hot-ua) wrote :

Hello all,

So we need to test the kernel now, not individual commands?

Sergey Kostyuk (ks-hot-ua) wrote :

BTW, please see my test results for the comment #176 (individual commands)

1. Speakers: No sound at all
2. Headphones (headset speakers): No sound at all
3. Internal mic: Works
4. Headset mic: Works

Environment:
- Device Model: ASUS Zenbook UX534FTC-A8101T.
- BIOS: Version 304 2020/02/06
- Test Case: Cold boot to Ubuntu 20.04. No other commands executed except those mentioned in the https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/176.
- Test application: Ubuntu Settings > Sound > Test, Firefox with YouTube video playing.

Sergey Kostyuk (ks-hot-ua) wrote :

Please see my test results for the comment #177 (patched kernel)

1. Speakers: Work, sound quality is not the best (I can provide a recording on request).
2. Headphones: Work perfectly fine.
3. Internal mic: Works perfectly fine.
4. Headset mic: Works.

Environment:
- Device Model: ASUS Zenbook UX534FTC-A8101T.
- BIOS: Version 304 2020/02/06
- uname -a:
  Linux serhiis-zen 5.4.0-41-generic #45+lp1850439 SMP Fri Jul 10 12:41:46 CST 2020 x86_64 x86_64 x86_64 GNU/Linux
- Test Case: Cold boot to Ubuntu 20.04. No other commands executed except those mentioned in the https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/176.
- Test application: Ubuntu Settings > Sound > Test, Audacity (capture),

Sergey Kostyuk (ks-hot-ua) wrote :

Edit to #181:

- Test Case: Cold boot to Ubuntu 20.04. NO COMMAND EXECUTED, just the patched kernel from #177.

Dmitriy (oxygen2c) wrote :

Helped this first 2 commands from https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/170
But after reboot, sound doesn't work again

Kai-Heng Feng (kaihengfeng) wrote :

Please test the kernel without any workaround:
https://people.canonical.com/~khfeng/lp1850439-focal/

Hi.

## Problem, check symptoms

We have a laptop here affected by the problem.

Following comment #172 https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/172

> and please do not forget to also let us know what model laptop you have.

* lshw says "ZenBook UX534FAC_UX533FAC" or simply "UX534FAC".
* Vendor identified it as UX534FA-A8094T.

> If possible please check all 4 of:
>
> 1. Speakers
> 2. Headphones output
> 3. Internal mic.
> 4. Headset mic. (using a phone headset with builtin mic with a single T-R-R-S connector)

Symptoms:

1. Speakers: no sound
2. Headphones output: no sound
3. Internal mic: works
4. Headset mic (no tested)

## Check workaround: success

> After testing please report back here what works (and what does not work) after issueing the 4 above commands;

> hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf
> hda-verb /dev/snd/hwC0D0 0x20 0x400 0x7774

Issuing the first two above allowed to get sound output.

> hda-verb /dev/snd/hwC0D0 0x20 0x500 0x45
> hda-verb /dev/snd/hwC0D0 0x20 0x400 0x5289

Issuing the last two (right above) did not seem to have any effect.

Full test after the four commands:

1. Speakers: "perfect" sound
2. Headphones output: "perfect" sound
3. Internal mic: works
4. Headset mic: works

## Sound quality: as good as you can get

No artifacts like reported in #133.

"Perfect" means as good as can be given the physical speakers (e.g. not much bass but this is normal).

## Next step: have a permanent fix

Some copy-paste instructions as to how to make this fix permanent would be appreciated. Else I can figure out some and share, e.g. from https://askubuntu.com/questions/919054/how-do-i-run-a-single-command-at-startup-using-systemd

## Thanks

Thanks everyone, including @j-w-r-degoede who shows that kernel developers are taking care.

Following https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1850439/comments/185 here are instructions that provide a permanent fix.

> ## Next step: have a permanent fix
>
> Some copy-paste instructions as to how to make this fix permanent
> would be appreciated. Else I can figure out some and share,
> e.g. from
> https://askubuntu.com/questions/919054/how-do-i-run-a-single-command-at-startup-using-systemd

Hi all,

This fix works on our machine, where lshw says "ZenBook UX534FAC_UX533FAC" or simply "UX534FAC".

What we did is start from https://wiki.archlinux.org/index.php/ASUS_Zenbook_UX534 and adjust for our machine:

Create `/etc/systemd/system/audio-fix.service` with this content:

------------------------------------------------------------------------

[Unit]
Description=Fix internal audio on ASUS Zenbook UX533/534
# The following options are needed to prevent the service from executing before the sound card is activated and thus failing
Requires=sys-devices-pci0000:00-0000:00:1f.3-sound-card0.device # replace with the result of the previous command
After=sys-devices-pci0000:00-0000:00:1f.3-sound-card0.device # same

[Service]
Type=oneshot
ExecStart=hda-verb /dev/snd/hwC0D0 0x20 0x500 0xf ; hda-verb /dev/snd/hwC0D0 0x20 0x400 0x7774 ; hda-verb /dev/snd/hwC0D0 0x20 0x500 0x45 ; hda-verb /dev/snd/hwC0D0 0x20 0x400 0x5289

[Install]
# Make it part of the sound initialization routine
WantedBy=sound.target

------------------------------------------------------------------------

Then issue this commands:

------------------------------------------------------------------------

systemctl start audio-fix
systemctl enable audio-fix

------------------------------------------------------------------------

You can now reboot to check if the fix works. On our machine, sound works on speakers and audio jack output, sound is good and we could not find any trace of the bug.

Thanks in advance to all kernel hackers that can propagate towards upstream a proper fix (without regression for other users). :-)

Displaying first 40 and last 40 comments. View all 186 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.